Bug 1919823 - OCP 4.7 Internationalization Chinese tranlate issue
Summary: OCP 4.7 Internationalization Chinese tranlate issue
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: x86_64
OS: All
medium
high
Target Milestone: ---
: 4.7.0
Assignee: ralpert
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-25 08:42 UTC by kevin
Modified: 2021-02-24 15:56 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Translation for "Home" was incorrect in Chinese. Consequence: Poor experience for users. Fix: Updated translation. Result: Bug is fixed.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
OCP 4.7 Internationalization Chinese tranlate issue (210.41 KB, image/jpeg)
2021-01-25 08:42 UTC, kevin
no flags Details
主页 (64.40 KB, image/png)
2021-02-01 03:19 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7952 0 None closed Bug 1919823: Update zh-cn translation for Home 2021-02-08 07:09:36 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:56:05 UTC

Description kevin 2021-01-25 08:42:50 UTC
Created attachment 1750419 [details]
OCP 4.7 Internationalization Chinese tranlate issue

Description of problem:

We have learn about  Internationalization feature will land on OCP 4.7, but we have found a translation issue, as we attached screenshot



Version-Release number of selected component (if applicable):

OCP 4.7.X

How reproducible:

Internationalization feature FOR Chinese Language interface

Actual results:

The OCP 4.7.0 translate the HOME as 家, It's a little strange for chinese, I think it just use machine translate directly

Expected results:

We have consult some about chinese SA and they want to translate the "HOME" to 开始 or 主页,It's more welcome for chinese

I also suggestion to consult more about chinese colleges to improve the Internationalization feature. This is very important for Chinese customer!

Additional info:

Comment 1 ralpert 2021-01-25 15:15:16 UTC
Hey @welin@redhat.com - Thanks for your feedback. We're working with a Chinese translator on the Red Hat Globalization team to get these translations done; they're not machine translations. I'll pass this feedback along and see if they are open to making the change.

Comment 2 ralpert 2021-01-27 17:23:22 UTC
Hey @welin@redhat.com - The translation team wanted to update the Home translation to 主页. I'll push that through today. Thanks for the feedback; appreciate it!

Comment 4 kevin 2021-01-28 04:30:08 UTC
Does the Home translation will land on OCP 4.7 release?

Comment 5 ralpert 2021-01-28 14:13:51 UTC
Hey @welin@redhat.com - It should land before the 4.7 release. One of my colleagues consolidated some of the internationalization files, so the translation currently won't show up. I updated the old file we have in console currently. We're still waiting on the next round of translations. Those will come in this week or next week hopefully. The translation team told us they updated their files to include the new translation for "Home."

Comment 6 Yadan Pei 2021-02-01 03:19:02 UTC
Created attachment 1752744 [details]
主页

translation has been updated in https://github.com/openshift/console/pull/7981, launched a cluster with it and checked 家 menu has been updated to 主页

Let me know if it is wrong

Comment 7 Yadan Pei 2021-02-08 07:16:49 UTC
sorry, changing assignee back

Comment 10 errata-xmlrpc 2021-02-24 15:55:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.